Subject: bug#13547: svn annotate - incorrect previous/next revision

From: Glenn Morris <[email-masked]>
Date: Sat, 26 Jan 2013 21:24:03 -0500

Lars Ljung wrote:

> The functions vc-svn-previous-revision and vc-svn-next-revision just add
> or subtract 1 from the revision number. The is usually not correct.
>
> This patch uses "svn log" to get the correct previous/next revision of
> the file.

Thanks. I guess the drawback here is, that will contact the svn
repository, which may be on a remote server, so could be slow.

It seems this is used by vc-annotate, vc-rollback, and vc-diff.